import dayjs from 'dayjs';
import timezonePlugin from 'dayjs/plugin/timezone';
import utcPlugin from 'dayjs/plugin/utc';

dayjs.extend(utcPlugin);
dayjs.extend(timezonePlugin);

export const getTimeOption = (startTime, endTime, timezone) => {
  const start = dayjs(startTime).tz(timezone);

  if (startTime && !endTime) {
    return start.format('HH:mm MMM DD, YYYY');
  }

  const end = dayjs(endTime).tz(timezone);

  const startFormat = dayjs(start).isSame(end, 'day') ? 'HH:mm' : 'HH:mm | MMM DD, YYYY';

  return `${start.format(startFormat)} — ${end.format('HH:mm | MMM DD, YYYY')}`;
};

export default getTimeOption;
